Summary: Public tinydns server for SME server
%define name smeserver-tinydns-public
Name: %{name}
%define version 1.0.0
%define release 4
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source0: %{name}-%{version}.tar.gz
Source1: http://http://www.lickey.com/autoaxfr/dist/autoaxfr-1.2.tar.gz
Patch0: smeserver-tinydns-public-1.0.0-axfr-get_path.patch
Patch1: smeserver-tinydns-public-1.0.0-access.patch
Patch2: smeserver-tinydns-public-1.0.0-dbpatch.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
Requires: djbdns
Requires: e-smith-packetfilter >= 1.16.0-05
BuildArchitectures: noarch
BuildRequires: e-smith-devtools
Obsoletes: e-smith-tinydns-public
Provides: e-smith-tinydns-public
AutoReqProv: no
%define autoaxfrid 408

%description
Configure autoaxfr and tinydns to provide DNS secondary service

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Oct  5 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-04
- Fix path to db in conf script.

* Thu Oct  5 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-03
- Add db default fragments to allow access through the firewall.

* Fri Sep 22 2006 Charlie Brady <charlie_brady@mitel.com> 1.0.0-02
- Remove autaxfr script from tarball, and change path in run script
  so that our axfr-get script is found by the standard autoaxfr
  script.

* Wed Jul 26 2006 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-01
- Package renamed to smeserver-tinydns-public

* Wed Jul 26 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-12
- Require newer version of e-smith-packetfilter [SME: 1776]

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-11]
- SPEC file cleanup prior to tarball rebuild

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-10]
- Use masq adjust instead of masq restart
- Only run %post in run-level 7
- Retrieve tinydns.public{DataLimit} from configdb, defaulted to 1000000 bytes

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-09]
- Open DNS/UDP firewall hole only if tinydns.public is enabled

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-08]
- Unpack autoaxfr into its own tree, not as a subdirectory

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-07]
- Remove crontab template now that we are no longer using make
- Manual step required on upgrade for this version:
    /sbin/e-smith/expand-template /etc/crontab
    /etc/init.d/crond restart

* Tue Jun 15 2004 Gordon Rowell <gordonr@gormand.com.au>
- [0.0.1-06]
- Add autoaxfr as a source tarball, and patch during build
- Simplified data.cdb symlink

* Fri Jun 11 2004 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-05]
- Fold in (customised) autoaxfr. Remove crontab entry - data.cdb
  is now rebuilt as required.
- Remove dependency on make and autoaxfr.
- Rationalise build and install sections of spec file.

* Fri Jun 11 2004 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-04]
- Removed unwanted build dependency

* Fri Jun 11 2004 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-03]
- Generate/manage autoaxfr domains from publicdns config db
- Added publicdns-conf action

  sudo /sbin/e-smith/db publicdns set \
	<domain> publicdomain \
	Primaries <ip1>[,<ip>]* \
	Transfer autoaxfr

  sudo /etc/e-smith/events/actions/publicdns-conf

* Thu Jun 10 2004 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-02]
- Create /var/service/autoaxfr/root/zones/EMPTY so we have something
- Fix ownership of /var/service/autoaxfr/root/*

* Thu Jun 10 2004 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-01]
- Initial

%prep
%setup -b 0
%setup -D -T -b 1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
# perl createlinks

mkdir -p root/etc/rc.d/init.d
mkdir -p root/etc/rc.d/rc7.d
mkdir -p root/service

for i in autoaxfr tinydns.public
do
 ln -s /var/service/$i root/service/$i
 ln -s daemontools root/etc/rc.d/init.d/$i
 ln -s /etc/rc.d/init.d/e-smith-service root/etc/rc.d/rc7.d/S90$i
 touch root/var/service/$i/down
done
touch root/var/service/autoaxfr/root/zones/EMPTY

mkdir -p root/var/service/tinydns.public/root/data
mkdir -p root/var/service/tinydns.public/env
ln -s data/data.cdb root/var/service/tinydns.public/root/data.cdb

cp ../autoaxfr-1.2/autoaxfr root/var/service/autoaxfr/autoaxfr

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)


/sbin/e-smith/genfilelist $RPM_BUILD_ROOT       \
    --dir /var/log/autoaxfr 'attr(0750,smelog,smelog)' \
    --dir /var/service/autoaxfr 'attr(01755,root,root)' \
    --dir /var/service/autoaxfr/root/zones 'attr(01755,autoaxfr,autoaxfr)' \
    --dir /var/service/autoaxfr/root/temp 'attr(01755,autoaxfr,autoaxfr)' \
    --dir /var/service/autoaxfr/root/slaves 'attr(01755,autoaxfr,autoaxfr)' \
    --file /var/service/autoaxfr/run 'attr(0750,root,root)' \
    --file /var/service/autoaxfr/autoaxfr 'attr(0555,root,root)' \
    --file /var/service/autoaxfr/axfr-get 'attr(0555,root,root)' \
    --file /var/service/autoaxfr/log/run 'attr(0750,root,root)' \
    --dir /var/log/tinydns.public 'attr(0750,dnslog,dnslog)' \
    --dir /var/service/tinydns.public 'attr(01755,root,root)' \
    --dir /var/service/tinydns.public/root 'attr(01755,root,root)' \
    --dir /var/service/tinydns.public/root/data 'attr(01755,autoaxfr,autoaxfr)' \
    --file /var/service/tinydns.public/root/mydata 'attr(0644,root,root) %config' \
    --file /var/service/tinydns.public/run 'attr(0750,root,root)' \
    --file /var/service/tinydns.public/log/run 'attr(0750,root,root)' \
    > %{name}-%{version}-%{release}-filelist


%pre
/sbin/e-smith/create-system-user autoaxfr %{autoaxfrid} \
    'Autoxfr system user' /var/log/autoaxfr /bin/false

%preun

%post
case $(/sbin/runlevel) in 
    *7) /etc/e-smith/events/actions/initialize-default-databases
	/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
 	/etc/init.d/masq adjust
	;;
esac

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root)
